Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5100)
@@ -8,6 +8,6 @@
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName
   USE strings_mod, ONLY: maxlen, msg, strStack, real2str, int2str
-  USE netcdf,      ONLY: NF90_OPEN,  NF90_NOWRITE, NF90_INQ_VARID, &
-                         NF90_CLOSE, nf90_get_var, nf90_noerr
+  USE netcdf,      ONLY: nf90_open,  nf90_nowrite, NF90_INQ_VARID, &
+                         nf90_close, nf90_get_var, nf90_noerr
   USE readTracFiles_mod, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
   USE control_mod, ONLY: planet_type
@@ -50,5 +50,5 @@
 !--- Initial state file opening
   var=fichnom
-  CALL err(NF90_OPEN(var,NF90_NOWRITE,fID),"open",var)
+  CALL err(nf90_open(var,nf90_nowrite,fID),"open",var)
   CALL get_var1("controle",tab_cntrl)
 
@@ -188,5 +188,5 @@
   END DO
 
-  CALL err(NF90_CLOSE(fID),"close",fichnom)
+  CALL err(nf90_close(fID),"close",fichnom)
   day_ini=day_ini+INT(time)
   time=time-INT(time)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5100)
@@ -9,7 +9,7 @@
   USE strings_mod, ONLY: maxlen
   USE infotrac, ONLY: nqtot, tracers
-  USE netcdf, ONLY: NF90_CREATE, NF90_DEF_DIM, NF90_INQ_VARID, NF90_GLOBAL,    &
-                    NF90_CLOSE,  NF90_PUT_ATT, NF90_UNLIMITED, NF90_CLOBBER,   &
-                    NF90_64BIT_OFFSET
+  USE netcdf, ONLY: nf90_create, nf90_def_dim, NF90_INQ_VARID, nf90_global,    &
+                    nf90_close,  nf90_put_att, nf90_unlimited, nf90_clobber,   &
+                    nf90_64bit_offset
   USE dynredem_mod, ONLY: cre_var, put_var1, put_var2, err, modname, fil
   USE comvert_mod,  ONLY: ap, bp, presnivs, pa, preff, nivsig, nivsigs
@@ -105,18 +105,18 @@
 
 !--- File creation
-  CALL err(NF90_CREATE(fichnom,IOR(NF90_CLOBBER,NF90_64BIT_OFFSET),nid))
+  CALL err(nf90_create(fichnom,IOR(nf90_clobber,nf90_64bit_offset),nid))
 
 !--- Some global attributes
-  CALL err(NF90_PUT_ATT(nid,NF90_GLOBAL,"title","Fichier demarrage dynamique"))
+  CALL err(nf90_put_att(nid,nf90_global,"title","Fichier demarrage dynamique"))
 
 !--- Dimensions
-  CALL err(NF90_DEF_DIM(nid,"index", length, indexID))
-  CALL err(NF90_DEF_DIM(nid,"rlonu", iip1,   rlonuID))
-  CALL err(NF90_DEF_DIM(nid,"rlatu", jjp1,   rlatuID))
-  CALL err(NF90_DEF_DIM(nid,"rlonv", iip1,   rlonvID))
-  CALL err(NF90_DEF_DIM(nid,"rlatv", jjm,    rlatvID))
-  CALL err(NF90_DEF_DIM(nid,"sigs",  llm,        sID))
-  CALL err(NF90_DEF_DIM(nid,"sig",   llmp1,    sigID))
-  CALL err(NF90_DEF_DIM(nid,"temps", NF90_UNLIMITED, timID))
+  CALL err(nf90_def_dim(nid,"index", length, indexID))
+  CALL err(nf90_def_dim(nid,"rlonu", iip1,   rlonuID))
+  CALL err(nf90_def_dim(nid,"rlatu", jjp1,   rlatuID))
+  CALL err(nf90_def_dim(nid,"rlonv", iip1,   rlonvID))
+  CALL err(nf90_def_dim(nid,"rlatv", jjm,    rlatvID))
+  CALL err(nf90_def_dim(nid,"sigs",  llm,        sID))
+  CALL err(nf90_def_dim(nid,"sig",   llmp1,    sigID))
+  CALL err(nf90_def_dim(nid,"temps", nf90_unlimited, timID))
 
 !--- Define and save invariant fields
@@ -149,5 +149,5 @@
   CALL cre_var(nid,"masse","Masse d air"    ,[rlonvID,rlatuID,sID,timID])
   CALL cre_var(nid,"ps"   ,"Pression au sol",[rlonvID,rlatuID    ,timID])
-  CALL err(NF90_CLOSE (nid))
+  CALL err(nf90_close (nid))
 
   WRITE(lunout,*)TRIM(modname)//': iim,jjm,llm,iday_end',iim,jjm,llm,iday_end
@@ -169,6 +169,6 @@
   USE infotrac, ONLY: nqtot, tracers, type_trac
   USE control_mod
-  USE netcdf,   ONLY: NF90_OPEN,  NF90_NOWRITE, nf90_get_var, NF90_INQ_VARID,  &
-                      NF90_CLOSE, NF90_WRITE,   NF90_PUT_VAR, nf90_noerr
+  USE netcdf,   ONLY: nf90_open,  nf90_nowrite, nf90_get_var, NF90_INQ_VARID,  &
+                      nf90_close, NF90_WRITE,   nf90_put_var, nf90_noerr
   USE dynredem_mod, ONLY: dynredem_write_u, dynredem_write_v, dynredem_read_u, &
                           err, modname, fil, msg
@@ -202,5 +202,5 @@
 
   modname='dynredem1'; fil=fichnom
-  CALL err(NF90_OPEN(fil,NF90_WRITE,nid),"open",fil)
+  CALL err(nf90_open(fil,NF90_WRITE,nid),"open",fil)
 
 !--- Write/extend time coordinate
@@ -208,5 +208,5 @@
   var="temps"
   CALL err(NF90_INQ_VARID(nid,var,vID),"inq",var)
-  CALL err(NF90_PUT_VAR(nid,vID,[time]),"put",var)
+  CALL err(nf90_put_var(nid,vID,[time]),"put",var)
   WRITE(lunout,*)TRIM(modname)//": Saving for ", nb, time
 
@@ -217,5 +217,5 @@
   tab_cntrl(31)=DBLE(itau_dyn + itaufin)
   CALL err(NF90_INQ_VARID(nid,var,vID),"inq",var)
-  CALL err(NF90_PUT_VAR(nid,vID,tab_cntrl),"put",var)
+  CALL err(nf90_put_var(nid,vID,tab_cntrl),"put",var)
 
 !--- Save fields
@@ -229,5 +229,5 @@
   lread_inca=.FALSE.; fil="start_trac.nc"
   IF(ANY(type_trac == ['inca','inco'])) INQUIRE(FILE=fil,EXIST=lread_inca)
-  IF(lread_inca) CALL err(NF90_OPEN(fil,NF90_NOWRITE,nid_trac),"open")
+  IF(lread_inca) CALL err(nf90_open(fil,nf90_nowrite,nid_trac),"open")
 
 !--- Save tracers
@@ -245,7 +245,7 @@
     CALL dynredem_write_u(nid,var,q(:,:,:,iq),llm)
   END DO
-  CALL err(NF90_CLOSE(nid),"close")
+  CALL err(nf90_close(nid),"close")
   fil="start_trac.nc"
-  IF(lread_inca) CALL err(NF90_CLOSE(nid_trac),"close")
+  IF(lread_inca) CALL err(nf90_close(nid_trac),"close")
 
 END SUBROUTINE dynredem1
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90	(revision 5100)
@@ -32,5 +32,5 @@
   start(:)=[1,1,1,1]; count(:)=[iip1,jjp1,ll,1]
   CALL err(NF90_INQ_VARID(ncid,id,nvarid),"inq",id)
-  CALL err(NF90_PUT_VAR(ncid,nvarid,var,start,count),"put",id)
+  CALL err(nf90_put_var(ncid,nvarid,var,start,count),"put",id)
   
 END SUBROUTINE dynredem_write_u
@@ -55,5 +55,5 @@
   start(:)=[1,1,1,1]; count(:)=[iip1,jjm,ll,1]
   CALL err(NF90_INQ_VARID(ncid,id,nvarid),"inq",id)
-  CALL err(NF90_PUT_VAR(ncid,nvarid,var,start,count),"put",id)
+  CALL err(nf90_put_var(ncid,nvarid,var,start,count),"put",id)
   
 END SUBROUTINE dynredem_write_v
@@ -96,7 +96,7 @@
   CHARACTER(LEN=*), OPTIONAL, INTENT(IN) :: units
 !===============================================================================
-  CALL err(NF90_DEF_VAR(ncid,var,nf90_format,did,nvarid),"inq",var)
-  IF(title/="")      CALL err(NF90_PUT_ATT(ncid,nvarid,"title",title),var)
-  IF(PRESENT(units)) CALL err(NF90_PUT_ATT(ncid,nvarid,"units",units),var)
+  CALL err(nf90_def_var(ncid,var,nf90_format,did,nvarid),"inq",var)
+  IF(title/="")      CALL err(nf90_put_att(ncid,nvarid,"title",title),var)
+  IF(PRESENT(units)) CALL err(nf90_put_att(ncid,nvarid,"units",units),var)
 
 END SUBROUTINE cre_var
@@ -119,6 +119,6 @@
   IF(     PRESENT(units)) CALL cre_var(ncid,var,title,did,units)
   IF(.NOT.PRESENT(units)) CALL cre_var(ncid,var,title,did)
-  CALL err(NF90_ENDDEF(ncid))
-  CALL err(NF90_PUT_VAR(ncid,nvarid,v),"put",var)
+  CALL err(nf90_enddef(ncid))
+  CALL err(nf90_put_var(ncid,nvarid,v),"put",var)
   CALL err(NF90_REDEF(ncid))
 
@@ -142,6 +142,6 @@
   IF(     PRESENT(units)) CALL cre_var(ncid,var,title,did,units)
   IF(.NOT.PRESENT(units)) CALL cre_var(ncid,var,title,did)
-  CALL err(NF90_ENDDEF(ncid))
-  CALL err(NF90_PUT_VAR(ncid,nvarid,v),"put",var)
+  CALL err(nf90_enddef(ncid))
+  CALL err(nf90_put_var(ncid,nvarid,v),"put",var)
   CALL err(NF90_REDEF(ncid))
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5100)
@@ -175,5 +175,5 @@
     if (guide_plevs==1) then
        if (ncidpl==-99) then
-          rcod=nf90_open('apbp.nc',Nf90_NOWRITe, ncidpl)
+          rcod=nf90_open('apbp.nc',nf90_nowrite, ncidpl)
           if (rcod/=nf90_noerr) THEN
              abort_message=' Nudging error -> no file apbp.nc'
@@ -183,5 +183,5 @@
     elseif (guide_plevs==2) then
        if (ncidpl==-99) then
-          rcod=nf90_open('P.nc',Nf90_NOWRITe,ncidpl)
+          rcod=nf90_open('P.nc',nf90_nowrite,ncidpl)
           if (rcod/=nf90_noerr) THEN
              abort_message=' Nudging error -> no file P.nc'
@@ -192,5 +192,5 @@
     elseif (guide_u) then
            if (ncidpl==-99) then
-               rcod=nf90_open('u.nc',Nf90_NOWRITe,ncidpl)
+               rcod=nf90_open('u.nc',nf90_nowrite,ncidpl)
                if (rcod/=nf90_noerr) THEN
                   CALL abort_gcm(modname, &
@@ -1690,13 +1690,13 @@
 
 ! Creation des variables dimensions
-        ierr=NF90_DEF_VAR(nid,"LONU",NF90_FLOAT,id_lonu,vid_lonu)
-        ierr=NF90_DEF_VAR(nid,"LONV",NF90_FLOAT,id_lonv,vid_lonv)
-        ierr=NF90_DEF_VAR(nid,"LATU",NF90_FLOAT,id_latu,vid_latu)
-        ierr=NF90_DEF_VAR(nid,"LATV",NF90_FLOAT,id_latv,vid_latv)
-        ierr=NF90_DEF_VAR(nid,"LEVEL",NF90_FLOAT,id_lev,vid_lev)
-        ierr=NF90_DEF_VAR(nid,"cu",NF90_FLOAT,(/id_lonu,id_latu/),vid_cu)
-        ierr=NF90_DEF_VAR(nid,"cv",NF90_FLOAT,(/id_lonv,id_latv/),vid_cv)
-        ierr=NF90_DEF_VAR(nid,"au",NF90_FLOAT,(/id_lonu,id_latu/),vid_au)
-        ierr=NF90_DEF_VAR(nid,"av",NF90_FLOAT,(/id_lonv,id_latv/),vid_av)
+        ierr=nf90_def_var(nid,"LONU",nf90_float,id_lonu,vid_lonu)
+        ierr=nf90_def_var(nid,"LONV",nf90_float,id_lonv,vid_lonv)
+        ierr=nf90_def_var(nid,"LATU",nf90_float,id_latu,vid_latu)
+        ierr=nf90_def_var(nid,"LATV",nf90_float,id_latv,vid_latv)
+        ierr=nf90_def_var(nid,"LEVEL",nf90_float,id_lev,vid_lev)
+        ierr=nf90_def_var(nid,"cu",nf90_float,(/id_lonu,id_latu/),vid_cu)
+        ierr=nf90_def_var(nid,"cv",nf90_float,(/id_lonv,id_latv/),vid_cv)
+        ierr=nf90_def_var(nid,"au",nf90_float,(/id_lonu,id_latu/),vid_au)
+        ierr=nf90_def_var(nid,"av",nf90_float,(/id_lonv,id_latv/),vid_av)
         call nf95_def_var(nid, "alpha_T", nf90_float, (/id_lonv, id_latu/), &
              varid_alpha_t)
@@ -1724,33 +1724,33 @@
 ! Pressure (GCM)
         dim4=(/id_lonv,id_latu,id_lev,id_tim/)
-        ierr = NF90_DEF_VAR(nid,"SP",NF90_FLOAT,dim4,varid)
+        ierr = nf90_def_var(nid,"SP",nf90_float,dim4,varid)
 ! Surface pressure (guidage)
         IF (guide_P) THEN
             dim3=(/id_lonv,id_latu,id_tim/)
-            ierr = NF90_DEF_VAR(nid,"ps",NF90_FLOAT,dim3,varid)
+            ierr = nf90_def_var(nid,"ps",nf90_float,dim3,varid)
         ENDIF
 ! Zonal wind
         IF (guide_u) THEN
             dim4=(/id_lonu,id_latu,id_lev,id_tim/)
-            ierr = NF90_DEF_VAR(nid,"u",NF90_FLOAT,dim4,varid)
-            ierr = NF90_DEF_VAR(nid,"ua",NF90_FLOAT,dim4,varid)
-            ierr = NF90_DEF_VAR(nid,"ucov",NF90_FLOAT,dim4,varid)
+            ierr = nf90_def_var(nid,"u",nf90_float,dim4,varid)
+            ierr = nf90_def_var(nid,"ua",nf90_float,dim4,varid)
+            ierr = nf90_def_var(nid,"ucov",nf90_float,dim4,varid)
         ENDIF
 ! Merid. wind
         IF (guide_v) THEN
             dim4=(/id_lonv,id_latv,id_lev,id_tim/)
-            ierr = NF90_DEF_VAR(nid,"v",NF90_FLOAT,dim4,varid)
-            ierr = NF90_DEF_VAR(nid,"va",NF90_FLOAT,dim4,varid)
-            ierr = NF90_DEF_VAR(nid,"vcov",NF90_FLOAT,dim4,varid)
+            ierr = nf90_def_var(nid,"v",nf90_float,dim4,varid)
+            ierr = nf90_def_var(nid,"va",nf90_float,dim4,varid)
+            ierr = nf90_def_var(nid,"vcov",nf90_float,dim4,varid)
         ENDIF
 ! Pot. Temperature
         IF (guide_T) THEN
             dim4=(/id_lonv,id_latu,id_lev,id_tim/)
-            ierr = NF90_DEF_VAR(nid,"teta",NF90_FLOAT,dim4,varid)
+            ierr = nf90_def_var(nid,"teta",nf90_float,dim4,varid)
         ENDIF
 ! Specific Humidity
         IF (guide_Q) THEN
             dim4=(/id_lonv,id_latu,id_lev,id_tim/)
-            ierr = NF90_DEF_VAR(nid,"q",NF90_FLOAT,dim4,varid)
+            ierr = nf90_def_var(nid,"q",nf90_float,dim4,varid)
         ENDIF
         
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5100)
@@ -22,5 +22,5 @@
   USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
   USE readTracFiles_mod, ONLY: addPhase
-  use netcdf, only : NF90_NOWRITE,NF90_OPEN,nf90_noerr,NF90_INQ_VARID,NF90_CLOSE,nf90_get_var
+  use netcdf, only : nf90_nowrite,nf90_open,nf90_noerr,NF90_INQ_VARID,nf90_close,nf90_get_var
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -140,5 +140,5 @@
 
      relief=0.
-     ierr = NF90_OPEN ('relief_in.nc', NF90_NOWRITE,nid_relief)
+     ierr = nf90_open ('relief_in.nc', nf90_nowrite,nid_relief)
      if (ierr==nf90_noerr) THEN
          ierr=NF90_INQ_VARID(nid_relief,'RELIEF',varid)
@@ -150,5 +150,5 @@
          endif
      endif
-     ierr = NF90_CLOSE (nid_relief)
+     ierr = nf90_close (nid_relief)
 
      !------------------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 5100)
@@ -122,20 +122,20 @@
   !-------------------------
   !   Longitudes on "u" dynamical grid
-  status=NF90_DEF_VAR(ncid_out,'lonu',NF90_FLOAT,out_lonudim, out_lonuid)
+  status=nf90_def_var(ncid_out,'lonu',nf90_float,out_lonudim, out_lonuid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_lonuid,'units','degrees_east')
   status=nf90_put_att(ncid_out,out_lonuid,'long_name','Longitude on u grid')
   !   Longitudes on "v" dynamical grid
-  status=NF90_DEF_VAR(ncid_out,'lonv',NF90_FLOAT,out_lonvdim, out_lonvid)
+  status=nf90_def_var(ncid_out,'lonv',nf90_float,out_lonvdim, out_lonvid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_lonvid,'units','degrees_east')
   status=nf90_put_att(ncid_out,out_lonvid,'long_name','Longitude on v grid')
   !   Latitudes on "u" dynamical grid
-  status=NF90_DEF_VAR(ncid_out,'latu',NF90_FLOAT,out_latudim, out_latuid)
+  status=nf90_def_var(ncid_out,'latu',nf90_float,out_latudim, out_latuid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_latuid,'units','degrees_north')
   status=nf90_put_att(ncid_out,out_latuid,'long_name','Latitude on u grid')
   !  Latitudes on "v" dynamical grid
-  status=NF90_DEF_VAR(ncid_out,'latv',NF90_FLOAT,out_latvdim, out_latvid)
+  status=nf90_def_var(ncid_out,'latv',nf90_float,out_latvdim, out_latvid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_latvid,'units','degrees_north')
@@ -144,5 +144,5 @@
   out_dim(1)=out_lonudim
   out_dim(2)=out_latudim
-  status=NF90_DEF_VAR(ncid_out,'grille_u',NF90_FLOAT,out_dim, out_uid)
+  status=nf90_def_var(ncid_out,'grille_u',nf90_float,out_dim, out_uid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_uid,'units','m/s')
@@ -151,5 +151,5 @@
   out_dim(1)=out_lonvdim
   out_dim(2)=out_latvdim
-  status=NF90_DEF_VAR(ncid_out,'grille_v',NF90_FLOAT,out_dim, out_vid)
+  status=nf90_def_var(ncid_out,'grille_v',nf90_float,out_dim, out_vid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_vid,'units','m/s')
@@ -158,5 +158,5 @@
   out_dim(1)=out_lonvdim
   out_dim(2)=out_latudim
-  status=NF90_DEF_VAR(ncid_out,'grille_s',NF90_FLOAT,out_dim, out_tempid)
+  status=nf90_def_var(ncid_out,'grille_s',nf90_float,out_dim, out_tempid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_tempid,'units','Kelvin')
@@ -165,5 +165,5 @@
   ! for INCA :
   ! vertical levels "presnivs"
-  status=NF90_DEF_VAR(ncid_out,'presnivs',NF90_FLOAT,out_levdim, presnivs_id)
+  status=nf90_def_var(ncid_out,'presnivs',nf90_float,out_levdim, presnivs_id)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,presnivs_id,'units','Pa')
@@ -172,10 +172,10 @@
   out_dim(1)=out_lonvdim
   out_dim(2)=out_latudim
-  status = nf90_def_var(ncid_out,'phis',NF90_FLOAT,out_dim,phis_id)
+  status = nf90_def_var(ncid_out,'phis',nf90_float,out_dim,phis_id)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,phis_id,'units','m')
   status=nf90_put_att(ncid_out,phis_id,'long_name','surface geopotential height')
   ! gridcell area
-  status = nf90_def_var(ncid_out,'aire',NF90_FLOAT,out_dim,area_id)
+  status = nf90_def_var(ncid_out,'aire',nf90_float,out_dim,area_id)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,area_id,'units','m2')
@@ -193,13 +193,13 @@
   !-------------------------
   ! 1D : lonu, lonv,latu,latv ; INCA : presnivs
-  status=NF90_PUT_VAR(ncid_out,out_lonuid,rlonudeg,[1],[iip1])
-  CALL handle_err(status)
-  status=NF90_PUT_VAR(ncid_out,out_lonvid,rlonvdeg,[1],[iip1])
-  CALL handle_err(status)
-  status=NF90_PUT_VAR(ncid_out,out_latuid,rlatudeg,[1],[jjp1])
-  CALL handle_err(status)
-  status=NF90_PUT_VAR(ncid_out,out_latvid,rlatvdeg,[1],[jjm])
-  CALL handle_err(status)
-  status=NF90_PUT_VAR(ncid_out,presnivs_id,rlev,[1],[llm])
+  status=nf90_put_var(ncid_out,out_lonuid,rlonudeg,[1],[iip1])
+  CALL handle_err(status)
+  status=nf90_put_var(ncid_out,out_lonvid,rlonvdeg,[1],[iip1])
+  CALL handle_err(status)
+  status=nf90_put_var(ncid_out,out_latuid,rlatudeg,[1],[jjp1])
+  CALL handle_err(status)
+  status=nf90_put_var(ncid_out,out_latvid,rlatvdeg,[1],[jjm])
+  CALL handle_err(status)
+  status=nf90_put_var(ncid_out,presnivs_id,rlev,[1],[llm])
   CALL handle_err(status)
 
@@ -209,11 +209,11 @@
   
   COUNT(2)=jjp1  ! for "u" and "s" grids
-  status=NF90_PUT_VAR(ncid_out,out_uid,uwnd,start, count)
+  status=nf90_put_var(ncid_out,out_uid,uwnd,start, count)
   CALL handle_err(status)
   COUNT(2)=jjm  ! for "v" grid
-  status=NF90_PUT_VAR(ncid_out,out_vid,vwnd,start, count)
+  status=nf90_put_var(ncid_out,out_vid,vwnd,start, count)
   CALL handle_err(status) 
   COUNT(2)=jjp1  ! as "s" grid, for all the following vars
-  status=NF90_PUT_VAR(ncid_out,out_tempid,temp,start, count)
+  status=nf90_put_var(ncid_out,out_tempid,temp,start, count)
   CALL handle_err(status)
   status = nf90_put_var(ncid_out, phis_id, phis_loc,start,count)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5100)
@@ -9,6 +9,6 @@
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName
   USE strings_mod, ONLY: maxlen, msg, strStack, real2str, int2str, strIdx
-  USE netcdf,      ONLY: NF90_OPEN,  NF90_NOWRITE, nf90_inquire_dimension, NF90_INQ_VARID, &
-                         NF90_CLOSE, nf90_get_var, NF90_INQUIRE_VARIABLE,  nf90_noerr
+  USE netcdf,      ONLY: nf90_open,  nf90_nowrite, nf90_inquire_dimension, NF90_INQ_VARID, &
+                         nf90_close, nf90_get_var, NF90_INQUIRE_VARIABLE,  nf90_noerr
   USE readTracFiles_mod, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
   USE control_mod, ONLY: planet_type
@@ -55,5 +55,5 @@
 !--- Initial state file opening
   var=fichnom
-  CALL err(NF90_OPEN(var,NF90_NOWRITE,fID),"open",var)
+  CALL err(nf90_open(var,nf90_nowrite,fID),"open",var)
   CALL get_var1("controle",tab_cntrl)
 
@@ -215,5 +215,5 @@
   END DO
   DEALLOCATE(q_glo)
-  CALL err(NF90_CLOSE(fID),"close",fichnom)
+  CALL err(nf90_close(fID),"close",fichnom)
   day_ini=day_ini+INT(time)
   time=time-INT(time)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90	(revision 5100)
@@ -11,7 +11,7 @@
   USE strings_mod, ONLY: maxlen
   USE infotrac, ONLY: nqtot, tracers
-  USE netcdf, ONLY: NF90_CREATE, NF90_DEF_DIM, NF90_INQ_VARID, NF90_GLOBAL,    &
-                    NF90_CLOSE,  NF90_PUT_ATT, NF90_UNLIMITED, NF90_CLOBBER,   &
-                    NF90_64BIT_OFFSET
+  USE netcdf, ONLY: nf90_create, nf90_def_dim, NF90_INQ_VARID, nf90_global,    &
+                    nf90_close,  nf90_put_att, nf90_unlimited, nf90_clobber,   &
+                    nf90_64bit_offset
   USE dynredem_mod, ONLY: cre_var, put_var, err, modname, fil
   USE comvert_mod,  ONLY: ap, bp, presnivs, pa, preff, nivsig, nivsigs,&
@@ -112,18 +112,18 @@
 
 !--- File creation
-  CALL err(NF90_CREATE(fichnom,IOR(NF90_CLOBBER,NF90_64BIT_OFFSET),nid))
+  CALL err(nf90_create(fichnom,IOR(nf90_clobber,nf90_64bit_offset),nid))
 
 !--- Some global attributes
-  CALL err(NF90_PUT_ATT(nid,NF90_GLOBAL,"title","Fichier demarrage dynamique"))
+  CALL err(nf90_put_att(nid,nf90_global,"title","Fichier demarrage dynamique"))
 
 !--- Dimensions
-  CALL err(NF90_DEF_DIM(nid,"index", length, indexID))
-  CALL err(NF90_DEF_DIM(nid,"rlonu", iip1,   rlonuID))
-  CALL err(NF90_DEF_DIM(nid,"rlatu", jjp1,   rlatuID))
-  CALL err(NF90_DEF_DIM(nid,"rlonv", iip1,   rlonvID))
-  CALL err(NF90_DEF_DIM(nid,"rlatv", jjm,    rlatvID))
-  CALL err(NF90_DEF_DIM(nid,"sigs",  llm,        sID))
-  CALL err(NF90_DEF_DIM(nid,"sig",   llmp1,    sigID))
-  CALL err(NF90_DEF_DIM(nid,"temps", NF90_UNLIMITED, timID))
+  CALL err(nf90_def_dim(nid,"index", length, indexID))
+  CALL err(nf90_def_dim(nid,"rlonu", iip1,   rlonuID))
+  CALL err(nf90_def_dim(nid,"rlatu", jjp1,   rlatuID))
+  CALL err(nf90_def_dim(nid,"rlonv", iip1,   rlonvID))
+  CALL err(nf90_def_dim(nid,"rlatv", jjm,    rlatvID))
+  CALL err(nf90_def_dim(nid,"sigs",  llm,        sID))
+  CALL err(nf90_def_dim(nid,"sig",   llmp1,    sigID))
+  CALL err(nf90_def_dim(nid,"temps", nf90_unlimited, timID))
 
 !--- Define and save invariant fields
@@ -156,5 +156,5 @@
   CALL cre_var(nid,"masse","Masse d air"    ,[rlonvID,rlatuID,sID,timID])
   CALL cre_var(nid,"ps"   ,"Pression au sol",[rlonvID,rlatuID    ,timID])
-  CALL err(NF90_CLOSE (nid))
+  CALL err(nf90_close (nid))
 
   WRITE(lunout,*)TRIM(modname)//': iim,jjm,llm,iday_end',iim,jjm,llm,iday_end
@@ -178,6 +178,6 @@
   USE infotrac, ONLY: nqtot, tracers, type_trac
   USE control_mod
-  USE netcdf,   ONLY: NF90_OPEN,  NF90_NOWRITE, nf90_get_var, NF90_INQ_VARID,  &
-                      NF90_CLOSE, NF90_WRITE,   NF90_PUT_VAR, nf90_noerr
+  USE netcdf,   ONLY: nf90_open,  nf90_nowrite, nf90_get_var, NF90_INQ_VARID,  &
+                      nf90_close, NF90_WRITE,   nf90_put_var, nf90_noerr
   USE dynredem_mod, ONLY: dynredem_write_u, dynredem_write_v, dynredem_read_u, &
                           err, modname, fil, msg
@@ -213,5 +213,5 @@
   IF(mpi_rank==0) THEN !++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   modname='dynredem1_loc'; fil=fichnom
-  CALL err(NF90_OPEN(fil,NF90_WRITE,nid),"open",fil)
+  CALL err(nf90_open(fil,NF90_WRITE,nid),"open",fil)
 
 !--- Write/extend time coordinate
@@ -219,5 +219,5 @@
   var="temps"
   CALL err(NF90_INQ_VARID(nid,var,vID),"inq",var)
-  CALL err(NF90_PUT_VAR(nid,vID,[time]),"put",var)
+  CALL err(nf90_put_var(nid,vID,[time]),"put",var)
   WRITE(lunout,*)TRIM(modname)//": Saving for ", nb, time
 
@@ -228,5 +228,5 @@
   tab_cntrl(31)=DBLE(itau_dyn + itaufin)
   CALL err(NF90_INQ_VARID(nid,var,vID),"inq",var)
-  CALL err(NF90_PUT_VAR(nid,vID,tab_cntrl),"put",var)
+  CALL err(nf90_put_var(nid,vID,tab_cntrl),"put",var)
   END IF               !++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 !$OMP END MASTER
@@ -244,5 +244,5 @@
   fil="start_trac.nc"
   IF(ANY(type_trac == ['inca','inco'])) INQUIRE(FILE=fil,EXIST=lread_inca)
-  IF(lread_inca) CALL err(NF90_OPEN(fil,NF90_NOWRITE,nid_trac),"open")
+  IF(lread_inca) CALL err(nf90_open(fil,nf90_nowrite,nid_trac),"open")
 !$OMP END MASTER
 !$OMP BARRIER
@@ -266,7 +266,7 @@
 !$OMP MASTER
   IF(mpi_rank==0) THEN !++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-  CALL err(NF90_CLOSE(nid),"close")
+  CALL err(nf90_close(nid),"close")
   fil="start_trac.nc"
-  IF(lread_inca) CALL err(NF90_CLOSE(nid_trac),"close")
+  IF(lread_inca) CALL err(nf90_close(nid_trac),"close")
   END IF               !++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 !$OMP END MASTER
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90	(revision 5100)
@@ -52,5 +52,5 @@
     !$OMP MASTER
       start(3)=l
-      CALL err(NF90_PUT_VAR(ncid,nvarid,var_glo,start,count),"put",id)
+      CALL err(nf90_put_var(ncid,nvarid,var_glo,start,count),"put",id)
     !$OMP END MASTER
     END IF
@@ -102,5 +102,5 @@
     !$OMP MASTER
       start(3)=l
-      CALL err(NF90_PUT_VAR(ncid,nvarid,var_glo,start,count),"put",id)
+      CALL err(nf90_put_var(ncid,nvarid,var_glo,start,count),"put",id)
     !$OMP END MASTER
     END IF
@@ -182,7 +182,7 @@
   CHARACTER(LEN=*), OPTIONAL, INTENT(IN) :: units
 !===============================================================================
-  CALL err(NF90_DEF_VAR(ncid,var,nf90_format,did,nvarid),"inq",var)
-  IF(title/="")      CALL err(NF90_PUT_ATT(ncid,nvarid,"title",title),var)
-  IF(PRESENT(units)) CALL err(NF90_PUT_ATT(ncid,nvarid,"units",units),var)
+  CALL err(nf90_def_var(ncid,var,nf90_format,did,nvarid),"inq",var)
+  IF(title/="")      CALL err(nf90_put_att(ncid,nvarid,"title",title),var)
+  IF(PRESENT(units)) CALL err(nf90_put_att(ncid,nvarid,"units",units),var)
 
 END SUBROUTINE cre_var
@@ -208,9 +208,9 @@
   IF(     PRESENT(units)) CALL cre_var(ncid,var,title,did,units)
   IF(.NOT.PRESENT(units)) CALL cre_var(ncid,var,title,did)
-  CALL err(NF90_ENDDEF(ncid))
+  CALL err(nf90_enddef(ncid))
   nd=SIZE(did)
   DO k=1,nd; CALL err(nf90_inquire_dimension(ncid,did(k),len=nn(k))); END DO
-  IF(nd==1) CALL err(NF90_PUT_VAR(ncid,nvarid,RESHAPE(v,nn(1:1))),var)
-  IF(nd==2) CALL err(NF90_PUT_VAR(ncid,nvarid,RESHAPE(v,nn(1:2))),var)
+  IF(nd==1) CALL err(nf90_put_var(ncid,nvarid,RESHAPE(v,nn(1:1))),var)
+  IF(nd==2) CALL err(nf90_put_var(ncid,nvarid,RESHAPE(v,nn(1:2))),var)
   CALL err(NF90_REDEF(ncid))
 END SUBROUTINE put_var
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5100)
@@ -175,5 +175,5 @@
     if (guide_plevs==1) then
        if (ncidpl==-99) then
-          rcod=nf90_open('apbp.nc',Nf90_NOWRITe, ncidpl)
+          rcod=nf90_open('apbp.nc',nf90_nowrite, ncidpl)
           if (rcod/=nf90_noerr) THEN
              abort_message=' Nudging error -> no file apbp.nc'
@@ -183,5 +183,5 @@
     elseif (guide_plevs==2) then
        if (ncidpl==-99) then
-          rcod=nf90_open('P.nc',Nf90_NOWRITe,ncidpl)
+          rcod=nf90_open('P.nc',nf90_nowrite,ncidpl)
           if (rcod/=nf90_noerr) THEN
              abort_message=' Nudging error -> no file P.nc'
@@ -192,5 +192,5 @@
     elseif (guide_u) then
        if (ncidpl==-99) then
-          rcod=nf90_open('u.nc',Nf90_NOWRITe,ncidpl)
+          rcod=nf90_open('u.nc',nf90_nowrite,ncidpl)
           if (rcod/=nf90_noerr) THEN
              abort_message=' Nudging error -> no file u.nc'
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5100)
@@ -23,5 +23,5 @@
   USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
   USE readTracFiles_mod, ONLY: addPhase
-  use netcdf, only : NF90_NOWRITE,NF90_OPEN,nf90_noerr,NF90_INQ_VARID,NF90_CLOSE, nf90_get_var
+  use netcdf, only : nf90_nowrite,nf90_open,nf90_noerr,NF90_INQ_VARID,nf90_close, nf90_get_var
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -152,5 +152,5 @@
 
      relief=0.
-     ierr = NF90_OPEN ('relief_in.nc', NF90_NOWRITE,nid_relief)
+     ierr = nf90_open ('relief_in.nc', nf90_nowrite,nid_relief)
      if (ierr==nf90_noerr) THEN
          ierr=NF90_INQ_VARID(nid_relief,'RELIEF',varid)
@@ -162,5 +162,5 @@
          endif
      endif
-     ierr = NF90_CLOSE (nid_relief)
+     ierr = nf90_close (nid_relief)
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5100)
@@ -21,5 +21,5 @@
   USE etat0phys,      ONLY: etat0phys_netcdf
   USE limit,          ONLY: limit_netcdf
-  USE netcdf,         ONLY: NF90_OPEN, NF90_NOWRITE, NF90_CLOSE, nf90_noerr,    &
+  USE netcdf,         ONLY: nf90_open, nf90_nowrite, nf90_close, nf90_noerr,    &
          nf90_inquire_dimension, nf90_inq_dimid, NF90_INQ_VARID, nf90_get_var
   USE infotrac,       ONLY: init_infotrac
@@ -154,6 +154,6 @@
 ! weights to ensure ocean fractions are the same for atmosphere and ocean.
 !*******************************************************************************
-  IF(NF90_OPEN("o2a.nc", NF90_NOWRITE, nid_o2a)==nf90_noerr) THEN
-    iret=NF90_CLOSE(nid_o2a)
+  IF(nf90_open("o2a.nc", nf90_nowrite, nid_o2a)==nf90_noerr) THEN
+    iret=nf90_close(nid_o2a)
     WRITE(lunout,*)'BEWARE !! Ocean mask "o2a.nc" file found'
     WRITE(lunout,*)'Coupled run.'
@@ -188,5 +188,5 @@
     masque(iip1 ,:)=masque(1,:)
     DEALLOCATE(ocemask)
-  ELSE IF(NF90_OPEN("startphy0.nc", NF90_NOWRITE, nid_sta)==nf90_noerr) THEN
+  ELSE IF(nf90_open("startphy0.nc", nf90_nowrite, nid_sta)==nf90_noerr) THEN
     WRITE(lunout,*)'BEWARE !! File "startphy0.nc" found.'
     WRITE(lunout,*)'Getting the land mask from a previous run.'
@@ -196,5 +196,5 @@
       WRITE(lunout,*)'Mismatching dimensions for land mask'
       WRITE(lunout,*)'nphys  = ',nphys ,' klon = ',klon
-      iret=NF90_CLOSE(nid_sta)
+      iret=nf90_close(nid_sta)
       CALL abort_gcm(modname,'',1)
     END IF
@@ -202,5 +202,5 @@
     iret=NF90_INQ_VARID(nid_sta,'masque',nid_msk)
     iret=nf90_get_var(nid_sta,nid_msk,masktmp)
-    iret=NF90_CLOSE(nid_sta)
+    iret=nf90_close(nid_sta)
     CALL gr_fi_dyn(1,klon,iip1,jjp1,masktmp,masque)
     IF(prt_level>=1) THEN
